POST V1/Payments.{ext}/GenerateECheckPaymentFile?companyId={companyId}&fsIds={fsIds}&fSDeatilIds={fSDeatilIds}&paymentDate={paymentDate}¬ificationId={notificationId}
Generate E-Check Payment File for the List of FSDetails(bills/Transactions) from different Funding Statements and one payment file can have bills/transactions from different clients.
Mandatory Fields : companyId,fsIds,fSDeatilIds,paymentDate,notificationId
Optional Fields : N/A.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyId |
Company id |
integer |
Required |
| fsIds |
Funding statement ids |
string |
Required |
| fSDeatilIds |
Funding statement detail ids |
string |
Required |
| paymentDate |
Payment file date |
date |
Required |
| notificationId |
Notification id |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Common.TransactionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Common.TransactionResult |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "TransactionResult",
"response": {
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.